# vim: set ts=4 sw=4 et:

# Copyright (c) 2010-2012 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2007-2010 Andrea Florio <andrea@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           LiVES
Version:        2.0.3
%define soname 0
Release:        3.1
Summary:        Video Editor and VJ Tool
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        http://www.xs4all.nl/%7Esalsaman/lives/current/LiVES-%{version}.tar.bz2
Source99:       LiVES-rpmlintrc
Patch1:         LiVES-fix_missing_return.patch
Patch2:         lives-glee-gl.patch
Patch3:         lives-fix_missing_return_in_non_void_function.patch
URL:            http://lives.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
#BuildRequires: gtk1-compat-devel
BuildRequires:  freetype2-devel SDL-devel pango-devel 
BuildRequires:  libffmpeg-devel frei0r-plugins-devel update-desktop-files libmjpegutils-devel
%if %suse_version >= 1030
BuildRequires:  libaal-devel
%endif
%if %suse_version >= 1021
BuildRequires:  libavc1394-devel >= 0.5.3
%endif
BuildRequires:  gcc-c++
BuildRequires:  automake autoconf libtool
BuildRequires:  perl bison libvisual libvisual-devel slang-devel atk-devel
BuildRequires:  ImageMagick
BuildRequires:  libmjpegutils-devel
BuildRequires:  alsa-devel
BuildRequires:  liboil-devel
BuildRequires:  libogg-devel libvorbis-devel
BuildRequires:  libtheora-devel
BuildRequires:  libdv-devel
BuildRequires:  schroedinger-devel
BuildRequires:  dirac-devel
BuildRequires:  libpulse-devel
BuildRequires:  gtk2-devel
BuildRequires:  libv4l-devel
BuildRequires:  sox MPlayer cdrkit-cdrtools-compat dvgrab
BuildRequires:  jack-devel
BuildRequires:  libGLee-devel
BuildRequires:  ladspa-devel
Requires:       libvisual
Requires:       libvisual-plugins
Requires:       ladspa
Requires:       sox MPlayer cdrkit-cdrtools-compat dvgrab
Requires:       libweed%{soname} = %{version}
%if 0%{?suse_version} < 1200
BuildRequires:  xmms2
Requires:       xmms2
%endif

%description
LiVES is aimed at the digital video artist who wants to create their own
content, the video editor who wants to produce professional looking video, and
the VJ who wants to captivate with spectacular images.

%package -n libweed%{soname}
Summary:        Libweed library
Group:          Development/Libraries/C and C++

%description -n libweed%{soname}
LiVES is aimed at the digital video artist who wants to create their own
content, the video editor who wants to produce professional looking video, and
the VJ who wants to captivate with spectacular images.

%package -n libweed-devel
Summary:        Libweed devel package
Group:          Development/Libraries/C and C++
Requires:       libweed%{soname} = %{version}

%description -n libweed-devel
LiVES is aimed at the digital video artist who wants to create their own
content, the video editor who wants to produce professional looking video, and
the VJ who wants to captivate with spectacular images.

%prep
%setup -q -n lives-%{version}
%patch1
%patch2
%patch3

# fix wrong EOL
%__sed -i 's/\r$//' weed-docs/*.txt

find . -type d -name .svn | while read d; do %__rm -rf "$d"; done

pushd libweed
%__ln_s . weed
popd #libweed

%build
autoreconf -fiv

export CFLAGS="%{optflags} -fno-strict-aliasing -I$PWD/libweed/"
export CPPFLAGS="$CFLAGS"
export CXXFLAGS="$CFLAGS"
%configure \
    --libdir="%{_libdir}" \
    --disable-doxygen

%__make %{?_smp_mflags}

%install
%makeinstall
%__rm -f "%{buildroot}%{_libdir}"/*.la

%__mv "%{buildroot}%{_datadir}/app-install/icons/lives.png" \
    "%{buildroot}%{_datadir}/pixmaps/lives.png"
%__rm -rf "%{buildroot}%{_datadir}/app-install"

for l in de_DE nl_NL; do
    sl="${l%%_*}"
    if [ -e "%{buildroot}%{_datadir}/locale/$sl" ]; then
        %__rm -rf "%{buildroot}%{_datadir}/locale/$l"
    else
        %__mv "%{buildroot}%{_datadir}/locale/$l" "%{buildroot}%{_datadir}/locale/$sl"
    fi
done

%__rm %buildroot/%{_bindir}/lives
%__ln_s %{_bindir}/lives-exe %{buildroot}/%{_bindir}/lives

%suse_update_desktop_file -r LiVES AudioVideo AudioVideoEditing

%find_lang lives

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n libweed%{soname} -p /sbin/ldconfig
%postun -n libweed%{soname} -p /sbin/ldconfig

%files -f lives.lang
%defattr(-,root,root)
%docdir %{_datadir}/doc/lives-%{version}
%dir %{_datadir}/doc/lives-%{version}
%doc %{_datadir}/doc/lives-%{version}/*
%{_bindir}/autolives.pl
%{_bindir}/build-lives-rfx-plugin
%{_bindir}/build-lives-rfx-plugin-multi
%{_bindir}/lives
%{_bindir}/lives_avi_encoder
%{_bindir}/lives_avi_encoder3
%{_bindir}/lives_dirac_encoder
%{_bindir}/lives_dirac_encoder3
%{_bindir}/lives-exe
%{_bindir}/lives_gif_encoder
%{_bindir}/lives_gif_encoder3
%{_bindir}/lives_mkv_encoder
%{_bindir}/lives_mkv_encoder3
%{_bindir}/lives_mng_encoder
%{_bindir}/lives_mng_encoder3
%{_bindir}/lives_mpeg_encoder
%{_bindir}/lives_mpeg_encoder3
%{_bindir}/lives_ogm_encoder
%{_bindir}/lives_ogm_encoder3
%{_bindir}/lives_theora_encoder
%{_bindir}/lives_theora_encoder3
%{_bindir}/midistart
%{_bindir}/midistop
%{_bindir}/sendOSC
%{_bindir}/smogrify
%{_datadir}/applications/LiVES.desktop
%dir %{_datadir}/lives
%{_datadir}/lives/default.keymap
%dir %{_datadir}/lives/icons
%{_datadir}/lives/icons/*g
%dir %{_datadir}/lives/themes
%{_datadir}/lives/themes/*
%dir %{_datadir}/lives/plugins
%dir %{_datadir}/lives/plugins/effects
%dir %{_datadir}/lives/plugins/effects/compound
%{_datadir}/lives/plugins/effects/compound/image_stabilizer
%{_datadir}/lives/plugins/effects/compound/motion_analyser
%{_datadir}/lives/plugins/effects/compound/neural_net
%dir %{_datadir}/lives/plugins/effects/RFXscripts
%{_datadir}/lives/plugins/effects/RFXscripts/*.script
%dir %{_datadir}/lives/resources
%{_datadir}/lives/resources/*
%{_datadir}/pixmaps/lives.xpm
%{_datadir}/pixmaps/lives.png
%dir %{_libdir}/lives
%dir %{_libdir}/lives/plugins
%dir %{_libdir}/lives/plugins/decoders
%{_libdir}/lives/plugins/decoders/asf_decoder.so
%{_libdir}/lives/plugins/decoders/asf_decoder.la
%{_libdir}/lives/plugins/decoders/dv_decoder.so
%{_libdir}/lives/plugins/decoders/dv_decoder.la
%{_libdir}/lives/plugins/decoders/mkv_decoder.so
%{_libdir}/lives/plugins/decoders/mkv_decoder.la
%{_libdir}/lives/plugins/decoders/ogg_decoder.so
%{_libdir}/lives/plugins/decoders/ogg_decoder.la
%{_libdir}/lives/plugins/decoders/flv_decoder.so
%{_libdir}/lives/plugins/decoders/flv_decoder.la
%{_libdir}/lives/plugins/decoders/mpegts_decoder.so
%{_libdir}/lives/plugins/decoders/mpegts_decoder.la
%dir %{_libdir}/lives/plugins/effects
%dir %{_libdir}/lives/plugins/effects/realtime
%dir %{_libdir}/lives/plugins/effects/realtime/weed
%{_libdir}/lives/plugins/effects/realtime/weed/alien_overlay.so
%{_libdir}/lives/plugins/effects/realtime/weed/alien_overlay.la
%{_libdir}/lives/plugins/effects/realtime/weed/alpha_means.so
%{_libdir}/lives/plugins/effects/realtime/weed/alpha_means.la
%{_libdir}/lives/plugins/effects/realtime/weed/audio_transition.so
%{_libdir}/lives/plugins/effects/realtime/weed/audio_transition.la
%{_libdir}/lives/plugins/effects/realtime/weed/audio_volume.so
%{_libdir}/lives/plugins/effects/realtime/weed/audio_volume.la
%{_libdir}/lives/plugins/effects/realtime/weed/blank_frame_detector.so
%{_libdir}/lives/plugins/effects/realtime/weed/blank_frame_detector.la
%{_libdir}/lives/plugins/effects/realtime/weed/blurzoom.so
%{_libdir}/lives/plugins/effects/realtime/weed/blurzoom.la
%{_libdir}/lives/plugins/effects/realtime/weed/bump2d.so
%{_libdir}/lives/plugins/effects/realtime/weed/bump2d.la
%{_libdir}/lives/plugins/effects/realtime/weed/ccorrect.so
%{_libdir}/lives/plugins/effects/realtime/weed/ccorrect.la
%{_libdir}/lives/plugins/effects/realtime/weed/colorkey.so
%{_libdir}/lives/plugins/effects/realtime/weed/colorkey.la
%{_libdir}/lives/plugins/effects/realtime/weed/comic.so
%{_libdir}/lives/plugins/effects/realtime/weed/comic.la
%{_libdir}/lives/plugins/effects/realtime/weed/compositor.so
%{_libdir}/lives/plugins/effects/realtime/weed/compositor.la
%{_libdir}/lives/plugins/effects/realtime/weed/data_processor.so
%{_libdir}/lives/plugins/effects/realtime/weed/data_processor.la
%{_libdir}/lives/plugins/effects/realtime/weed/data_unpacker.so
%{_libdir}/lives/plugins/effects/realtime/weed/data_unpacker.la
%{_libdir}/lives/plugins/effects/realtime/weed/deinterlace.so
%{_libdir}/lives/plugins/effects/realtime/weed/deinterlace.la
%{_libdir}/lives/plugins/effects/realtime/weed/edge.so
%{_libdir}/lives/plugins/effects/realtime/weed/edge.la
%{_libdir}/lives/plugins/effects/realtime/weed/fg_bg_removal.so
%{_libdir}/lives/plugins/effects/realtime/weed/fg_bg_removal.la
%{_libdir}/lives/plugins/effects/realtime/weed/fireTV.so
%{_libdir}/lives/plugins/effects/realtime/weed/fireTV.la
%{_libdir}/lives/plugins/effects/realtime/weed/fourKlives.so
%{_libdir}/lives/plugins/effects/realtime/weed/fourKlives.la
%{_libdir}/lives/plugins/effects/realtime/weed/gdk_fast_resize.so
%{_libdir}/lives/plugins/effects/realtime/weed/gdk_fast_resize.la
%{_libdir}/lives/plugins/effects/realtime/weed/haar_analyser.so
%{_libdir}/lives/plugins/effects/realtime/weed/haar_analyser.la
%{_libdir}/lives/plugins/effects/realtime/weed/haip.so
%{_libdir}/lives/plugins/effects/realtime/weed/haip.la
%{_libdir}/lives/plugins/effects/realtime/weed/ladspa.so
%{_libdir}/lives/plugins/effects/realtime/weed/ladspa.la
%{_libdir}/lives/plugins/effects/realtime/weed/layout_blends.so
%{_libdir}/lives/plugins/effects/realtime/weed/layout_blends.la
%{_libdir}/lives/plugins/effects/realtime/weed/lifeTV.so
%{_libdir}/lives/plugins/effects/realtime/weed/lifeTV.la
%{_libdir}/lives/plugins/effects/realtime/weed/livetext.so
%{_libdir}/lives/plugins/effects/realtime/weed/livetext.la
%{_libdir}/lives/plugins/effects/realtime/weed/log_sig.so
%{_libdir}/lives/plugins/effects/realtime/weed/log_sig.la
%{_libdir}/lives/plugins/effects/realtime/weed/mask_overlay.so
%{_libdir}/lives/plugins/effects/realtime/weed/mask_overlay.la
%{_libdir}/lives/plugins/effects/realtime/weed/mirrors.so
%{_libdir}/lives/plugins/effects/realtime/weed/mirrors.la
%{_libdir}/lives/plugins/effects/realtime/weed/multi_blends.so
%{_libdir}/lives/plugins/effects/realtime/weed/multi_blends.la
%{_libdir}/lives/plugins/effects/realtime/weed/multi_transitions.so
%{_libdir}/lives/plugins/effects/realtime/weed/multi_transitions.la
%{_libdir}/lives/plugins/effects/realtime/weed/negate.so
%{_libdir}/lives/plugins/effects/realtime/weed/negate.la
%{_libdir}/lives/plugins/effects/realtime/weed/nn_programmer.so
%{_libdir}/lives/plugins/effects/realtime/weed/nn_programmer.la
%{_libdir}/lives/plugins/effects/realtime/weed/noise.so
%{_libdir}/lives/plugins/effects/realtime/weed/noise.la
%{_libdir}/lives/plugins/effects/realtime/weed/onedTV.so
%{_libdir}/lives/plugins/effects/realtime/weed/onedTV.la
%{_libdir}/lives/plugins/effects/realtime/weed/palette_test.so
%{_libdir}/lives/plugins/effects/realtime/weed/palette_test.la
%{_libdir}/lives/plugins/effects/realtime/weed/plasma.so
%{_libdir}/lives/plugins/effects/realtime/weed/plasma.la
%{_libdir}/lives/plugins/effects/realtime/weed/posterise.so
%{_libdir}/lives/plugins/effects/realtime/weed/posterise.la
%{_libdir}/lives/plugins/effects/realtime/weed/puretext.so
%{_libdir}/lives/plugins/effects/realtime/weed/puretext.la
%{_libdir}/lives/plugins/effects/realtime/weed/RGBdelay.so
%{_libdir}/lives/plugins/effects/realtime/weed/RGBdelay.la
%{_libdir}/lives/plugins/effects/realtime/weed/rippleTV.so
%{_libdir}/lives/plugins/effects/realtime/weed/rippleTV.la
%{_libdir}/lives/plugins/effects/realtime/weed/rotozoom.so
%{_libdir}/lives/plugins/effects/realtime/weed/rotozoom.la
%{_libdir}/lives/plugins/effects/realtime/weed/scribbler.so
%{_libdir}/lives/plugins/effects/realtime/weed/scribbler.la
%{_libdir}/lives/plugins/effects/realtime/weed/shift.so
%{_libdir}/lives/plugins/effects/realtime/weed/shift.la
%{_libdir}/lives/plugins/effects/realtime/weed/simple_blend.so
%{_libdir}/lives/plugins/effects/realtime/weed/simple_blend.la
%{_libdir}/lives/plugins/effects/realtime/weed/slide_over.so
%{_libdir}/lives/plugins/effects/realtime/weed/slide_over.la
%{_libdir}/lives/plugins/effects/realtime/weed/softlight.so
%{_libdir}/lives/plugins/effects/realtime/weed/softlight.la
%{_libdir}/lives/plugins/effects/realtime/weed/targeted_zoom.so
%{_libdir}/lives/plugins/effects/realtime/weed/targeted_zoom.la
%{_libdir}/lives/plugins/effects/realtime/weed/textfun.so
%{_libdir}/lives/plugins/effects/realtime/weed/textfun.la
%{_libdir}/lives/plugins/effects/realtime/weed/tone_gen.so
%{_libdir}/lives/plugins/effects/realtime/weed/tone_gen.la
%{_libdir}/lives/plugins/effects/realtime/weed/tvpic.so
%{_libdir}/lives/plugins/effects/realtime/weed/tvpic.la
%{_libdir}/lives/plugins/effects/realtime/weed/vector_visualiser.so
%{_libdir}/lives/plugins/effects/realtime/weed/vector_visualiser.la
%{_libdir}/lives/plugins/effects/realtime/weed/vertigo.so
%{_libdir}/lives/plugins/effects/realtime/weed/vertigo.la
%{_libdir}/lives/plugins/effects/realtime/weed/videowall.so
%{_libdir}/lives/plugins/effects/realtime/weed/videowall.la
%{_libdir}/lives/plugins/effects/realtime/weed/warpTV.so
%{_libdir}/lives/plugins/effects/realtime/weed/warpTV.la
%{_libdir}/lives/plugins/effects/realtime/weed/xeffect.so
%{_libdir}/lives/plugins/effects/realtime/weed/xeffect.la
%dir %{_libdir}/lives/plugins/effects/realtime/weed/data
%{_libdir}/lives/plugins/effects/realtime/weed/data/*
%dir %{_libdir}/lives/plugins/effects/realtime/weed/frei0r
%{_libdir}/lives/plugins/effects/realtime/weed/frei0r/frei0r.so
%{_libdir}/lives/plugins/effects/realtime/weed/frei0r/frei0r.la
%dir %{_libdir}/lives/plugins/effects/realtime/weed/libvisual
%{_libdir}/lives/plugins/effects/realtime/weed/libvisual/libvis.so
%{_libdir}/lives/plugins/effects/realtime/weed/libvisual/libvis.la
%dir %{_libdir}/lives/plugins/effects/rendered
%{_libdir}/lives/plugins/effects/rendered/blank_frames
%{_libdir}/lives/plugins/effects/rendered/blur
%{_libdir}/lives/plugins/effects/rendered/brightness_change
%{_libdir}/lives/plugins/effects/rendered/charcoal
%{_libdir}/lives/plugins/effects/rendered/colorize
%{_libdir}/lives/plugins/effects/rendered/colour_filter
%{_libdir}/lives/plugins/effects/rendered/colour_replace
%{_libdir}/lives/plugins/effects/rendered/contrast
%{_libdir}/lives/plugins/effects/rendered/cycle
%{_libdir}/lives/plugins/effects/rendered/deinterlace
%{_libdir}/lives/plugins/effects/rendered/despeckle
%{_libdir}/lives/plugins/effects/rendered/dream
%{_libdir}/lives/plugins/effects/rendered/edge_detect
%{_libdir}/lives/plugins/effects/rendered/emboss
%{_libdir}/lives/plugins/effects/rendered/enhance
%{_libdir}/lives/plugins/effects/rendered/fade_in_out
%{_libdir}/lives/plugins/effects/rendered/flip
%{_libdir}/lives/plugins/effects/rendered/flop
%{_libdir}/lives/plugins/effects/rendered/frame_calculator
%{_libdir}/lives/plugins/effects/rendered/gamma_change
%{_libdir}/lives/plugins/effects/rendered/gen_blank_frames
%{_libdir}/lives/plugins/effects/rendered/gen_clip_from_image
%{_libdir}/lives/plugins/effects/rendered/gen_coloured_frames
%{_libdir}/lives/plugins/effects/rendered/gen_text
%{_libdir}/lives/plugins/effects/rendered/hue_change
%{_libdir}/lives/plugins/effects/rendered/image_overlay
%{_libdir}/lives/plugins/effects/rendered/jumble
%{_libdir}/lives/plugins/effects/rendered/modulate
%{_libdir}/lives/plugins/effects/rendered/monochrome
%{_libdir}/lives/plugins/effects/rendered/negate
%{_libdir}/lives/plugins/effects/rendered/noisify
%{_libdir}/lives/plugins/effects/rendered/normalize
%{_libdir}/lives/plugins/effects/rendered/photo_still
%{_libdir}/lives/plugins/effects/rendered/pixilate
%{_libdir}/lives/plugins/effects/rendered/posterize
%{_libdir}/lives/plugins/effects/rendered/randomzoom
%{_libdir}/lives/plugins/effects/rendered/resize
%{_libdir}/lives/plugins/effects/rendered/rotate
%{_libdir}/lives/plugins/effects/rendered/saturation_change
%{_libdir}/lives/plugins/effects/rendered/sepia
%{_libdir}/lives/plugins/effects/rendered/shift_horizontal
%{_libdir}/lives/plugins/effects/rendered/shift_vertical
%{_libdir}/lives/plugins/effects/rendered/shrink_expand
%{_libdir}/lives/plugins/effects/rendered/skip_forwards
%{_libdir}/lives/plugins/effects/rendered/solarize
%{_libdir}/lives/plugins/effects/rendered/spin
%{_libdir}/lives/plugins/effects/rendered/spread
%{_libdir}/lives/plugins/effects/rendered/swirl
%{_libdir}/lives/plugins/effects/rendered/textover
%{_libdir}/lives/plugins/effects/rendered/transition_bwthresh
%{_libdir}/lives/plugins/effects/rendered/transition_checkerboard
%{_libdir}/lives/plugins/effects/rendered/transition_fade2
%{_libdir}/lives/plugins/effects/rendered/transition_splice
%{_libdir}/lives/plugins/effects/rendered/trim_frames
%{_libdir}/lives/plugins/effects/rendered/tunnel
%{_libdir}/lives/plugins/effects/rendered/wave
%dir %{_libdir}/lives/plugins/encoders
%{_libdir}/lives/plugins/encoders/encodedv_encoder
%{_libdir}/lives/plugins/encoders/ffmpeg_encoder
%{_libdir}/lives/plugins/encoders/mencoder_encoder
%{_libdir}/lives/plugins/encoders/mjpegtools_encoder
%{_libdir}/lives/plugins/encoders/multi_encoder
%{_libdir}/lives/plugins/encoders/multi_encoder3
%{_libdir}/lives/plugins/encoders/pdf_encoder
%{_libdir}/lives/plugins/encoders/qtutils_encoder
%{_libdir}/lives/plugins/encoders/sswf_encoder
%{_libdir}/lives/plugins/encoders/transcode_encoder
%{_libdir}/lives/plugins/encoders/x264_encoder
%dir %{_libdir}/lives/plugins/playback
%dir %{_libdir}/lives/plugins/playback/audiostream
%{_libdir}/lives/plugins/playback/audiostream/audiostreamer.pl
%dir %{_libdir}/lives/plugins/playback/video
%{_libdir}/lives/plugins/playback/video/SDL.so
%{_libdir}/lives/plugins/playback/video/SDL.la
%{_libdir}/lives/plugins/playback/video/lives2lives_stream.so
%{_libdir}/lives/plugins/playback/video/lives2lives_stream.la
%{_libdir}/lives/plugins/playback/video/oggstream.so
%{_libdir}/lives/plugins/playback/video/oggstream.la
%{_libdir}/lives/plugins/playback/video/openGL.so
%{_libdir}/lives/plugins/playback/video/openGL.la
%{_libdir}/lives/plugins/playback/video/openGL_trickery.so
%{_libdir}/lives/plugins/playback/video/openGL_trickery.la
%{_libdir}/lives/plugins/playback/video/vloopback.so
%{_libdir}/lives/plugins/playback/video/vloopback.la
%{_libdir}/lives/plugins/playback/video/yuv4mpeg_stream.so
%{_libdir}/lives/plugins/playback/video/yuv4mpeg_stream.la
%{_libdir}/lives/plugins/playback/video/icecast_output.so
%{_libdir}/lives/plugins/playback/video/icecast_output.la
%{_libdir}/lives/plugins/playback/video/vloopback2.so
%{_libdir}/lives/plugins/playback/video/vloopback2.la

%files -n libweed%{soname}
%defattr(-,root,root)
%{_libdir}/libweed.so.%{soname}
%{_libdir}/libweed.so.%{soname}.*
%{_libdir}/libweed-utils.so.%{soname}
%{_libdir}/libweed-utils.so.%{soname}.*
%{_libdir}/libweed_slice.so.%{soname}
%{_libdir}/libweed_slice.so.%{soname}.*

%files -n libweed-devel
%defattr(-,root,root)
%{_includedir}/weed
%{_libdir}/libweed.so
%{_libdir}/libweed-utils.so
%{_libdir}/libweed_slice.so
%{_libdir}/pkgconfig/libweed.pc
%{_libdir}/pkgconfig/libweed_slice.pc
%{_libdir}/pkgconfig/libweed-utils.pc
%{_libdir}/pkgconfig/libweed-plugin-utils.pc
%{_libdir}/pkgconfig/libweed-compat.pc

%changelog
* Wed Apr 10 2013 pascal.bleser@opensuse.org
- update to 2.0.3:
  * Fix rounding error in multitrack audio insert.
  * Uncomment URL line in ogg_decoder.c
  * enable LADSPA and GLee support
- changes from 2.0.0:
  * Fix crash in recording external audio with pulse player (regression)
  * Minor widget fixes with startup dialogs and labels (regression)
  * Refactor timeline drawing in multitrack
  * Enable compilation with gtk+ 3
  * Prevent some audio being dropped when re-entering multitrack
  * Fixes for beat_detector plugin
  * Various optimisations and minor bugfixes
- changes from 1.8.2:
  * Allow renaming of tracks in multitrack window
- changes from 1.8.1:
  * Fix various bugs with the RFX builder menus.
  * Fix compilation for GTK+ < 2.24
  * Fix regression error in Resize All Frames.
  * Fix regression in Append Audio.
  * Fix crash in audio previews (open/append new audio).
  * Fix regression in encoding (after resample).
  * Add experimental neural_net compound effect.
  * Add motion_analyser compound effect.
  * Add mini tracker player in LiVES (fourKlives).
  * Various widget updates.
  * Make preview in fileselector more responsive.
  * Add new interface in RTE window for making/showing data connections.
- changes from 1.8.0:
  * Fix breakage in multitrack effects (regression).
  * Fix crash when re-entering multitrack mode (regression).
  * Fix a crash in text parameter entry (regression).
  * Add support for compound filters.
  * Add new realtime effect - shift.
  * Add new data processing filters: alpha_means, data_processing.
  * Add new compound effect - image_stabilizer (requires openCV).
- changes from 1.6.4:
  * Updates to decoder plugins to work with current libav.
  * Fix crash in paramwindow textbuffers.
  * Add preference for internal/external audio.
  * Render audio with audio effects.
  * Allow use of audio effects in multitrack.
  * Fix crash after adding a new track with an existing event list.
  * Update youtube downloader to recognise youtu.be links.
  * Fix regression for number of channels dropdown box in audio resampling.
  * Fix possible crash when remapping a filter with key defaults set.
  * Fix flickering preferences dialog on some window managers.
- changes from 1.6.3:
  * Fix GUI exposure crash in multitrack window.
  * Prevent truncation of longer filenames in plugin interfaces.
  * Add support for audio analyser plugins.
  * Add support for audio processing plugins.
  * Add support for LADSPA plugins.
  * Add beat detector plugin.
  * Fixes for rare crashes/bugs in plugin interface windows.
  * Group effects by package in the effect mapper window and defaults menu.
  * Add OSC commands for out channels, out parameters and data chaining.
- changes from 1.6.2:
  * support was added for fast opening of MPEG TS (HDV) clips
  * backup and restore is now much faster
  * bugs were fixed for rendered effect triggers, undo cut, file open preview,
    and pad audio
  * the timer code was cleaned up
  * experimental support was added for video analyzer, data processing, and
    audio generating plugins
  * a hang in preferences when the image type was set to JPEG was fixed
* Mon May 28 2012 Manfred.Tremmel@iiv.de
- changes to make it compile against ffmpeg 0.11, it's realy bad to
  have requirements to libavcodec >= 53 and use deprecated calls...
* Mon Feb  6 2012 pascal.bleser@opensuse.org
- added openGL output backend (using libGLee)
- update to 1.6.1
* Sat Dec 10 2011 pascal.bleser@opensuse.org
- update to 1.4.9:
  * support for v4l2loopback output has been added
  * instant opening of WebM / Matroska clips
  * a Youtube download tool have been implemented
  * fixes were made for crash recovery for virtual clips
  * fixes a possible crash when showing preview frame in multitrack
  * memory allocation has been optimized for multiplanar images
* Sun Nov 27 2011 pascal.bleser@opensuse.org
- update to 1.4.8:
  * optimizations were made for resizing for virtual clips, threading in colour
    conversions, image rescaling, and PNG loading
  * letterbox mode has been implemented for fullscreen playback and encoding
  * playback start may now be triggered by joystick or MIDI
  * bugs were fixed in append_audio, undo/redo effect in multitrack, and other
    places
  * new mencoder formats flv and wmv2/wma were added
  * there is initial language support for Uyghur and updated translations for
    Chinese (Simplified), Finnish, Japanese, Slovak, Spanish, Telugu, Ukranian,
    and Uzbek
* Tue Oct 25 2011 pascal.bleser@opensuse.org
- stop requiring xmms2, at least on 12.1 and above (too hard to fix the xmms2
  build on >= 12.1)
* Tue Oct 25 2011 pascal.bleser@opensuse.org
- BR frei0r-plugins-devel, now that we're linking frei0r-plugins from
  GNOME:Apps
* Sun Oct 16 2011 pascal.bleser@opensuse.org
- update to 1.4.7:
  * instant opening of asf (wmv) files has been implemented
  * bugs in opening of float and reverse endian audio were fixed
  * individual decoder plugins can now be enabled/disabled in Preferences
  * a complete translation to Japanese is included
  * updated translations to Ukranian, Spanish, and Polish
* Wed Aug 31 2011 pascal.bleser@opensuse.org
- update to 1.4.6:
  * a hang when applying effects to a single frame in a virtual clip was fixed
  * decoding changes were made for some Ogg/Theora files with broken keyframes
  * several new OMC commands were added for remote interrogation of effect
    parameters
  * support was added for frei0r 1.2 plugins
  * various other minor fixes were made
* Sun Jul 24 2011 pascal.bleser@opensuse.org
- update to 1.4.5:
  * add -tmpdir startup option
  * stop PAL formats reverting to NTSC in x264 encoder
  * fix bug to add fewer blank lines to ~/.lives file
  * do not show "Loaded subtitles" message when subtitles are not loaded
  * instant opening of some .flv files
  * move correct pointer (start or end) when the timeline is clicked in longer
    files
  * add video fade in/out effect
  * fix frames being cut after applying effects in virtual clips
  * clean up code for rendered effects post-processing
  * clean up code for dynamic menu building
  * front end stability fixes.
  * mouse scroll now switches clips in the play window too
* Sun Jun 12 2011 pascal.bleser@opensuse.org
- update to 1.4.3:
  * an important bug with audio shifting when leaving/re-entering multi-track
    mode was fixed
  * support was added for spacial multi-threading in effects plugins
  * the Antialias option in Preferences was fixed, as were buttons in Frame
    Calculator
  * a new oggstream playback plugin was added, along with new real-time
    effects: RGB_delay, YUV_delay, and mask_overlay
  * translations to Brazilian Portuguese, German, Italian and Ukrainian were
    updated
* Wed Jun  8 2011 pascal.bleser@opensuse.org
- adding missing dependency on gtk2-devel to fix build
* Tue Mar 29 2011 pascal.bleser@opensuse.org
- update to 1.4.2:
  * missing plugins omitted from the last release have been restored
  * device listing for the vloopback output plugin has been fixed
  * the new omc commands /lives/constant/value/get, /video/loop/set,
    /video/loop/get, /video/pingpong/set, /and video/pingpong/get were added
  * libweed has been updated to 0.5.0
  * translations to Simplified Chinese and Hungarian were updated
* Tue Feb 22 2011 pascal.bleser@opensuse.org
- update to 1.4.1
* Sat Dec 18 2010 pascal.bleser@opensuse.org
- update to 1.3.10
- had to disable JACK support for now, doesn't build
* Wed Sep 15 2010 pascal@links2linux.de
- update to 1.3.8:
  * fixes a possible crash on startup from 1.3.5, 1.3.6 and 1.3.7
  * further audio insert/delete optimizations
  * fix for a bug that affected audio rendering after a preview
  * quantization of audio rendering to output frame rate
  * addition of a "w" key to show A/V sync statistics
* Mon Sep 13 2010 pascal@links2linux.de
- update to 1.3.7:
  * fixes an audio insertion error from 1.3.5 and 1.3.6; anyone using those
    versions is advised to upgrade
* Sun May  9 2010 pascal@links2linux.de
- update to 1.3.3:
  * crashes after splitting/moving blocks in multitrack and with threading
    issues and effect previews were fixed
  * inserting and playing in multitrack have been optimized
  * a full JACK timebase client has been implemented as well as improved A/V
    sync
  * multitrack/mixer GUI improvements were made
  * video is now played back during "record external audio to selection"
  * CPU usage is reduced when paused in effects or encoding
  * image overlay effect was added into core rendered effects
  * there is a new preferences layout and an "advanced" tab for TV card/Webcam
    input
* Mon Mar 22 2010 pascal@links2linux.de
- update to 1.3.2:
  * Jack/pulse audio breakage in multitrack was fixed
  * experimental support for firewire and TV card inputs was added
  * faster, lossless recording of generators/inputs was added
  * some interface improvements were made for translated versions
  * fixes were made for
    + multi_encoder file permissions
    + post encoding cleanup
    + a crash in multitrack "remove first gaps"
    + audio block gravity
  * OSC control now works better with puredata
  * a new player transport was implemented
  * "Gravity: Right" was added in multitrack
* Sun Feb 28 2010 pascal@links2linux.de
- update to 1.2.1:
  * fixes a bug in 1.2.0 which caused a crash when Ogg/Theora files
    were opened with "resize previews to fit interface" enabled
* Sun Feb 21 2010 pascal@links2linux.de
- update to 1.2.0
* Sun Dec  6 2009 andrea@links2linux.de
- new upstream stable version
* Wed Sep 30 2009 andrea@links2linux.de
- new upstream stable version
* Sat Sep 26 2009 andrea@links2linux.de
- new upstream stable version
* Thu Sep 10 2009 andrea@links2linux.de
- new upstream stable version
* Sat Jul 25 2009 andrea@links2linux.de
- new upstream stable version
* Thu Jul  9 2009 andrea@links2linux.de
- new upstream version 1.0.0 pre2
* Sat Jul  4 2009 andrea@links2linux.de
- new upstream version
* Tue Jun  2 2009 andrea@links2linux.de
- new upstream version 0.9.9.9
* Wed May  6 2009 andrea@links2linux.de
- new upstream version 0.9.9.8
* Wed Mar 11 2009 andrea@links2linux.de
- update to version 0.9.9.7
* Sat Feb 21 2009 andrea@links2linux.de
- update to version 0.9.9.6
* Sat Dec 20 2008 andrea@links2linux.de
- update to version 0.9.9.5
* Tue Aug  5 2008 andrea@links2linux.de
- update to version 0.9.9.1
- added libweed0 and libweed-devel packages
* Sun May 18 2008 andrea@links2linux.de
- update to version 0.9.8.12
* Mon Apr 21 2008 andrea@links2linux.de
- update to version 0.9.8.10
* Sat Mar 15 2008 andrea@links2linux.de
- update to version 0.9.8.9
* Sun Jan  6 2008 andrea@links2linux.de
- update to version 0.9.8.7
* Sat Dec  1 2007 andrea@links2linux.de
- update to version 0.9.8.6
- Packman standards porting
* Sun Oct  7 2007 andreafl@libero.it
- porting for openSUSE
* Sat Feb 24 2007 silvan.calarco@mambasoft.it
- update to version 0.9.8.2 by autospec
